diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationWorksetViewBean.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationWorksetViewBean.java
index b6c0a700..da3db4df 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationWorksetViewBean.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/RegistrationWorksetViewBean.java
@@ -109,7 +109,7 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
     private String headerText = "Registration Workingset Editor";
     private String subheaderText = "";
 
-    private Integer citationID;
+    private UUID citationUuid;
 
     private Button addNewNameRegistrationButton;
 
@@ -126,12 +126,12 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
     /**
      * uses the registrationId as key
      */
-    private Map<Integer, RegistrationDetailsItem> registrationItemMap = new HashMap<>();
+    private Map<UUID, RegistrationDetailsItem> registrationItemMap = new HashMap<>();
 
     /**
      * uses the registrationId as key
      */
-    private Map<Integer, EntityReference> typifiedNamesMap = new HashMap<>();
+    private Map<UUID, EntityReference> typifiedNamesMap = new HashMap<>();
 
     public RegistrationWorksetViewBean() {
         super();
@@ -155,7 +155,7 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
     @Override
     public void enter(ViewChangeEvent event) {
         if(event.getParameters() != null){
-            this.citationID = Integer.valueOf(event.getParameters());
+            this.citationUuid = UUID.fromString(event.getParameters());
 
             getPresenter().handleViewEntered();
         }
@@ -183,9 +183,9 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
     }
 
     @Override
-    public void setBlockingRegistrations(int registrationId, Set<RegistrationDTO> blockingRegDTOs) {
+    public void setBlockingRegistrations(UUID registrationUuid, Set<RegistrationDTO> blockingRegDTOs) {
 
-        RegistrationDetailsItem regItem = registrationItemMap.get(registrationId);
+        RegistrationDetailsItem regItem = registrationItemMap.get(registrationUuid);
 
         boolean blockingRegAdded = false;
         for(Iterator it = regItem.itemFooter.iterator(); it.hasNext(); ){
@@ -245,7 +245,7 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         addExistingNameButton.setDescription("A name which was previously published in a earlier publication.");
         addExistingNameButton.setEnabled(false);
         addExistingNameButton.addClickListener(
-                e -> getViewEventBus().publish(this, new RegistrationWorkingsetAction(citationID, RegistrationWorkingsetAction.Action.start))
+                e -> getViewEventBus().publish(this, new RegistrationWorkingsetAction(citationUuid, RegistrationWorkingsetAction.Action.start))
                 );
 
         existingNameCombobox = new LazyComboBox<TaxonName>(TaxonName.class);
@@ -276,10 +276,10 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         if(typifiedNameReference == null){
             typifiedNameReference = dto.getNameRef();
         }
-        typifiedNamesMap.put(dto.getId(), typifiedNameReference);
+        typifiedNamesMap.put(dto.getUuid(), typifiedNameReference);
 
         RegistrationItemNameAndTypeButtons regItemButtonGroup = new RegistrationItemNameAndTypeButtons(dto);
-        Integer registrationEntityID = dto.getId();
+        UUID registrationEntityUuid = dto.getUuid();
 
         RegistrationItemButtons regItemButtons = new RegistrationItemButtons();
 
@@ -288,20 +288,20 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         footer.setStyleName("item-footer");
 
         RegistrationDetailsItem regDetailsItem = new RegistrationDetailsItem(regItemButtonGroup, regItemButtons, footer);
-        registrationItemMap.put(registrationEntityID, regDetailsItem);
+        registrationItemMap.put(registrationEntityUuid, regDetailsItem);
 
         Stack<EditorActionContext> context = new Stack<EditorActionContext>();
         context.push(new EditorActionContext(
-                    new TypedEntityReference<>(Registration.class, registrationEntityID),
+                    new TypedEntityReference<>(Registration.class, registrationEntityUuid),
                     this)
                     );
 
         if(regItemButtonGroup.getNameButton() != null){
             regItemButtonGroup.getNameButton().getButton().addClickListener(e -> {
-                Integer nameId = regItemButtonGroup.getNameButton().getId();
+                UUID nameuUuid = regItemButtonGroup.getNameButton().getUuid();
                 getViewEventBus().publish(this, new TaxonNameEditorAction(
                     EditorActionType.EDIT,
-                    nameId,
+                    nameuUuid,
                     e.getButton(),
                     this,
                     context
@@ -313,14 +313,14 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         for(TypeDesignationWorkingSetButton workingsetButton : regItemButtonGroup.getTypeDesignationButtons()){
             workingsetButton.getButton().addClickListener(e -> {
                 TypedEntityReference baseEntityRef = workingsetButton.getBaseEntity();
-                EntityReference typifiedNameRef = typifiedNamesMap.get(registrationEntityID);
+                EntityReference typifiedNameRef = typifiedNamesMap.get(registrationEntityUuid);
                 TypeDesignationWorkingSetType workingsetType = workingsetButton.getType();
                 getViewEventBus().publish(this, new TypeDesignationWorkingsetEditorAction(
                         EditorActionType.EDIT,
                         baseEntityRef,
                         workingsetType,
-                        registrationEntityID,
-                        typifiedNameRef.getId(),
+                        registrationEntityUuid,
+                        typifiedNameRef.getUuid(),
                         e.getButton(),
                         this,
                         context
@@ -330,7 +330,7 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         }
 
         regItemButtonGroup.getAddTypeDesignationButton().addClickListener(
-                e -> chooseNewTypeRegistrationWorkingset(dto.getId())
+                e -> chooseNewTypeRegistrationWorkingset(dto.getUuid())
                 );
 
 
@@ -343,10 +343,10 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
             blockingRegistrationButton.addStyleName(EditValoTheme.BUTTON_HIGHLITE);
             blockingRegistrationButton.addClickListener(e -> getViewEventBus().publish(
                     this,
-                    new ShowDetailsEvent<RegistrationDTO, Integer>(
+                    new ShowDetailsEvent<RegistrationDTO, UUID>(
                             e,
                             RegistrationDTO.class,
-                            dto.getId(),
+                            dto.getUuid(),
                             RegistrationItem.BLOCKED_BY
                             )
                     ));
@@ -358,10 +358,10 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
         if(!dto.getValidationProblems().isEmpty()){
             validationProblemsButton.setEnabled(true);
             validationProblemsButton.addClickListener(e -> getViewEventBus().publish(this,
-                    new ShowDetailsEvent<RegistrationDTO, Integer>(
+                    new ShowDetailsEvent<RegistrationDTO, UUID>(
                         e,
                         RegistrationDTO.class,
-                        dto.getId(),
+                        dto.getUuid(),
                         RegistrationItem.VALIDATION_PROBLEMS
                         )
                     )
@@ -372,10 +372,10 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
 
         Button messageButton = regItemButtons.getMessagesButton();
         messageButton.addClickListener(e -> getViewEventBus().publish(this,
-                    new ShowDetailsEvent<RegistrationDTO, Integer>(
+                    new ShowDetailsEvent<RegistrationDTO, UUID>(
                         e,
                         RegistrationDTO.class,
-                        dto.getId(),
+                        dto.getUuid(),
                         RegistrationItem.MESSAGES
                         )
                     )
@@ -396,14 +396,14 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
             editRegistrationButton.setDescription("Edit registration");
             editRegistrationButton.addClickListener(e -> getViewEventBus().publish(this, new RegistrationEditorAction(
                 EditorActionType.EDIT,
-                dto.getId(),
+                dto.getUuid(),
                 null,
                 this
                 )));
             regItemButtons.addComponent(editRegistrationButton);
         }
 
-        PermissionDebugUtils.addGainPerEntityPermissionButton(regItemButtons, Registration.class, dto.getId(),
+        PermissionDebugUtils.addGainPerEntityPermissionButton(regItemButtons, Registration.class, dto.getUuid(),
                 EnumSet.of(CRUD.UPDATE), RegistrationStatus.PREPARATION.name());
 
         row++;
@@ -425,17 +425,16 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
      *
      */
     @Override
-    public void chooseNewTypeRegistrationWorkingset(Integer registrationEntityId) {
-
+    public void chooseNewTypeRegistrationWorkingset(UUID registrationEntityUuid){
         Window typeDesignationTypeCooser = new Window();
         typeDesignationTypeCooser.setModal(true);
         typeDesignationTypeCooser.setResizable(false);
         typeDesignationTypeCooser.setCaption("Add new type designation");
         Label label = new Label("Please select kind of type designation to be created.");
         Button newSpecimenTypeDesignationButton = new Button("Specimen type designation",
-                e -> addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType.SPECIMEN_TYPE_DESIGNATION_WORKINGSET, registrationEntityId, typeDesignationTypeCooser));
+                e -> addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType.SPECIMEN_TYPE_DESIGNATION_WORKINGSET, registrationEntityUuid, typeDesignationTypeCooser));
         Button newNameTypeDesignationButton = new Button("Name type designation",
-                e -> addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType.NAME_TYPE_DESIGNATION_WORKINGSET, registrationEntityId, typeDesignationTypeCooser));
+                e -> addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType.NAME_TYPE_DESIGNATION_WORKINGSET, registrationEntityUuid, typeDesignationTypeCooser));
 
         VerticalLayout layout = new VerticalLayout(label, newSpecimenTypeDesignationButton, newNameTypeDesignationButton);
         layout.setMargin(true);
@@ -450,14 +449,14 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
      * @param button
      *
      */
-    protected void addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType newWorkingsetType, Integer registrationEntityId, Window typeDesignationTypeCooser) {
+    protected void addNewTypeDesignationWorkingset(TypeDesignationWorkingSetType newWorkingsetType, UUID registrationEntityUuid, Window typeDesignationTypeCooser) {
         UI.getCurrent().removeWindow(typeDesignationTypeCooser);
-        EntityReference typifiedNameRef = typifiedNamesMap.get(registrationEntityId);
+        EntityReference typifiedNameRef = typifiedNamesMap.get(registrationEntityUuid);
         getViewEventBus().publish(this, new TypeDesignationWorkingsetEditorAction(
                 EditorActionType.ADD,
                 newWorkingsetType,
-                registrationEntityId,
-                typifiedNameRef.getId(),
+                registrationEntityUuid,
+                typifiedNameRef.getUuid(),
                 null,
                 this
                 ));
@@ -573,12 +572,12 @@ public class RegistrationWorksetViewBean extends AbstractPageView<RegistrationWo
      * @return the citationID
      */
     @Override
-    public Integer getCitationID() {
-        return citationID;
+    public UUID getCitationUuid() {
+        return citationUuid;
     }
 
     @Override
-    public Map<Integer, RegistrationDetailsItem> getRegistrationItemMap(){
+    public Map<UUID, RegistrationDetailsItem> getRegistrationItemMap(){
         return Collections.unmodifiableMap(registrationItemMap);
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationPresenter.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationPresenter.java
index 3f3a3064..530c1dd8 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationPresenter.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationPresenter.java
@@ -9,6 +9,7 @@
 package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import java.util.EnumSet;
+import java.util.UUID;
 
 import org.vaadin.spring.events.EventScope;
 import org.vaadin.spring.events.annotation.EventBusListenerMethod;
@@ -153,6 +154,7 @@ public class StartRegistrationPresenter extends AbstractEditorPresenter<Registra
         }
     }
 
+    @SuppressWarnings("null")
     @EventBusListenerMethod(filter = EditorActionTypeFilter.Add.class)
     public void onRegistrationEditorActionAdd(RegistrationEditorAction event) {
 
@@ -160,21 +162,21 @@ public class StartRegistrationPresenter extends AbstractEditorPresenter<Registra
             return;
         }
 
-        Integer referenceId = null;
+        UUID referenceUuid = null;
         LazyComboBox<Reference> referenceCombobox = getView().getReferenceCombobox();
         referenceCombobox.commit();
         if(newReference != null){
-            referenceId = newReference.getId();
+            referenceUuid = newReference.getUuid();
        // } else if(referenceCombobox.getValue() != null) {
-        } else if ( event.getEntityId() != null) { // HACKED, see view implementation
-            referenceId = event.getEntityId();
+        } else if ( event.getEntityUuid() != null) { // HACKED, see view implementation
+            referenceUuid = event.getEntityUuid();
         }
-        if(referenceId == null){
+        if(referenceUuid == null){
             getView().getContinueButton().setComponentError(new UserError("Can't continue. No Reference is chosen."));
             getView().getContinueButton().setEnabled(false);
         }
         registrationInProgress = true;
-        viewEventBus.publish(EventScope.UI, this, new NavigationEvent(RegistrationWorksetViewBean.NAME, Integer.toString(referenceId)));
+        viewEventBus.publish(EventScope.UI, this, new NavigationEvent(RegistrationWorksetViewBean.NAME, referenceUuid.toString()));
 
     }
 
diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationViewBean.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationViewBean.java
index 2081cd6c..8d90a8cd 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationViewBean.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/registration/StartRegistrationViewBean.java
@@ -9,6 +9,7 @@
 package eu.etaxonomy.cdm.vaadin.view.registration;
 
 import java.util.Collection;
+import java.util.UUID;
 
 import org.springframework.security.core.GrantedAuthority;
 import org.vaadin.viritin.fields.LazyComboBox;
@@ -128,15 +129,15 @@ public class StartRegistrationViewBean extends AbstractPageView<StartRegistratio
         continueButton.setEnabled(false);
         continueButton.addClickListener(e -> {
 
-            Integer refId = null;
+            UUID refUuid = null;
             referenceCombobox.commit();
             if(referenceCombobox.getValue() != null){
-                refId = referenceCombobox.getValue().getId();
+                refUuid = referenceCombobox.getValue().getUuid();
             }
             getViewEventBus().publish(this,
                 new RegistrationEditorAction(EditorActionType.ADD,
                         // passing the refId is hack, bit for some reason the presenter is always referring to the wrong view
-                        refId,
+                        refUuid,
                         continueButton,
                         StartRegistrationViewBean.this)
                 );
diff --git a/src/main/java/eu/etaxonomy/vaadin/event/EntityEditorActionListener.java b/src/main/java/eu/etaxonomy/vaadin/event/EntityEditorActionListener.java
index 9c8fa0f1..f126558d 100644
--- a/src/main/java/eu/etaxonomy/vaadin/event/EntityEditorActionListener.java
+++ b/src/main/java/eu/etaxonomy/vaadin/event/EntityEditorActionListener.java
@@ -15,12 +15,12 @@ package eu.etaxonomy.vaadin.event;
     myComboboxSelect.setEditActionListener(e -> {
 
             Object fieldValue = e.getSource().getValue();
-            Integer beanId = null;
+            UUID beanUuid = null;
             if(fieldValue != null){
-                beanId = ((CdmBase)fieldValue).getId();
+                beanUuid = ((CdmBase)fieldValue).getUUid();
 
             }
-            getViewEventBus().publish(this, new SomeEditorAction(e.getAction(), beanId, e.getSource(), this));
+            getViewEventBus().publish(this, new SomeEditorAction(e.getAction(), beanUuid, e.getSource(), this));
         });
   }
  *</pre>
diff --git a/src/main/java/eu/etaxonomy/vaadin/mvp/AbstractCdmEditorPresenter.java b/src/main/java/eu/etaxonomy/vaadin/mvp/AbstractCdmEditorPresenter.java
index 21c4019b..78ca14f9 100644
--- a/src/main/java/eu/etaxonomy/vaadin/mvp/AbstractCdmEditorPresenter.java
+++ b/src/main/java/eu/etaxonomy/vaadin/mvp/AbstractCdmEditorPresenter.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.vaadin.mvp;
 import java.util.Collection;
 import java.util.EnumSet;
 import java.util.HashSet;
+import java.util.UUID;
 
 import org.apache.log4j.Logger;
 import org.hibernate.HibernateException;
@@ -75,13 +76,13 @@ public abstract class AbstractCdmEditorPresenter<DTO extends CdmBase, V extends
 
         DTO cdmEntitiy;
         if(identifier != null) {
-            Integer integerID = (Integer)identifier;
+            UUID uuidIdentifier = (UUID)identifier;
             // CdmAuthority is needed before the bean is loaded into the session.
             // otherwise adding the authority to the user would cause a flush
-            guaranteePerEntityCRUDPermissions(integerID);
-            cdmEntitiy = loadCdmEntityById(integerID);
+            guaranteePerEntityCRUDPermissions(uuidIdentifier);
+            cdmEntitiy = loadCdmEntity(uuidIdentifier);
         } else {
-            cdmEntitiy = loadCdmEntityById(null);
+            cdmEntitiy = loadCdmEntity(null);
             if(cdmEntitiy != null){
                 guaranteePerEntityCRUDPermissions(cdmEntitiy);
             }
@@ -101,13 +102,13 @@ public abstract class AbstractCdmEditorPresenter<DTO extends CdmBase, V extends
      * @param identifier
      * @return
      */
-    protected abstract DTO loadCdmEntityById(Integer identifier);
+    protected abstract DTO loadCdmEntity(UUID uuid);
 
     /**
      * Grant per entity CdmAuthority to the current user <b>for the bean which is not yet loaded</b>
      * into the editor. The <code>CRUD</code> to be granted are stored in the <code>crud</code> field.
      */
-    protected abstract void guaranteePerEntityCRUDPermissions(Integer identifier);
+    protected abstract void guaranteePerEntityCRUDPermissions(UUID identifier);
 
     /**
      * Grant per entity CdmAuthority to the current user for the bean which is loaded
diff --git a/src/test/java/eu/etaxonomy/cdm/service/SpecimenTypeDesignationWorkingSetServiceImplTest.java b/src/test/java/eu/etaxonomy/cdm/service/SpecimenTypeDesignationWorkingSetServiceImplTest.java
index bcc53038..7258e9da 100644
--- a/src/test/java/eu/etaxonomy/cdm/service/SpecimenTypeDesignationWorkingSetServiceImplTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/service/SpecimenTypeDesignationWorkingSetServiceImplTest.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.cdm.service;
 import java.io.FileNotFoundException;
 import java.net.URI;
 import java.net.URISyntaxException;
+import java.util.UUID;
 
 import org.junit.Assert;
 import org.junit.BeforeClass;
@@ -69,11 +70,13 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
        // Logger.getLogger("org.dbunit").setLevel(Level.DEBUG);
     }
 
-    int registrationId = 5000;
+    UUID registrationUuid = UUID.fromString("c8bb4e70-ca85-43c3-ae81-c90a2b41a93f"); // 5000;
 
-    private Integer publicationId = 5000;
+    private UUID publicationUuid = UUID.fromString("45804c65-7df9-42fd-b43a-818a8958c264"); // 5000;
 
-    private Integer typifiedNameId = 5000;
+    private UUID typifiedNameUuid = UUID.fromString("47d9263e-b32a-42af-98ea-5528f154384f"); //  5000;
+
+    UUID fieldUnitUuid = UUID.fromString("22be718a-6f21-4b74-aae3-bb7d7d659e1c"); // 5001
 
     private final String[] includeTableNames_create = new String[]{"TAXONNAME", "REFERENCE", "AGENTBASE", "HOMOTYPICALGROUP", "REGISTRATION",
             "HIBERNATE_SEQUENCES"};
@@ -99,13 +102,13 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 //                "REPRESENTATION", "REPRESENTATION_AUD", "HIBERNATE_SEQUENCES"},
 //                "RegistrationTerms");
 
-       SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.create(registrationId, publicationId, typifiedNameId);
+       SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.create(registrationUuid, publicationUuid, typifiedNameUuid);
 
        Assert.assertNotNull(workingset.getOwner());
        Assert.assertEquals(Registration.class, workingset.getOwner().getClass());
 
        workingset.getFieldUnit().setFieldNotes("FieldNotes");
-       int baseEntityID = workingset.getFieldUnit().getId();
+       // int baseEntityID = workingset.getFieldUnit().getId();
        workingset.getFieldUnit().setFieldNumber("FieldNumber");
        workingset.getFieldUnit().getGatheringEvent().setLocality(LanguageString.NewInstance("Somewhere", Language.ENGLISH()));
 
@@ -124,9 +127,9 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 
        printDataSetWithNull(System.err, new String[]{"TYPEDESIGNATIONBASE", "SPECIMENOROBSERVATIONBASE"});
 
-       TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, baseEntity.getId(), baseEntity.getTitleCache());
+       TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, baseEntity.getUuid(), baseEntity.getTitleCache());
 
-       workingset = service.loadDtoByIds(registrationId, baseEntityRef);
+       workingset = service.load(registrationUuid, baseEntityRef);
 
        Assert.assertNotNull(specimenTypeDesignationDTO.asSpecimenTypeDesignation().getTypeSpecimen());
        Assert.assertEquals(MediaSpecimen.class, specimenTypeDesignationDTO.asSpecimenTypeDesignation().getTypeSpecimen().getClass());
@@ -143,7 +146,7 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 
        service.save(workingset);
 
-       workingset = service.loadDtoByIds(registrationId, baseEntityRef);
+       workingset = service.load(registrationUuid, baseEntityRef);
        Assert.assertTrue(workingset.getSpecimenTypeDesignationDTOs().size() == 2);
 
 
@@ -174,8 +177,8 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
     public void test03_deleteTypeDesignationTest() {
 
         // FieldUnit" ID="5001
-        TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, 5001, "Somewhere, FieldNumber.");
-        SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.loadDtoByIds(registrationId, baseEntityRef);
+        TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, fieldUnitUuid, "Somewhere, FieldNumber.");
+        SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.load(registrationUuid, baseEntityRef);
         Assert.assertTrue(workingset.getSpecimenTypeDesignationDTOs().size() == 2);
 
         SpecimenTypeDesignationDTO deleteDTO = null;
@@ -191,7 +194,7 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 
         // printDataSetWithNull(System.err, includeTableNames_delete);
 
-        workingset = service.loadDtoByIds(registrationId, baseEntityRef);
+        workingset = service.load(registrationUuid, baseEntityRef);
         Registration reg = workingset.getOwner();
         Assert.assertEquals(1, workingset.getSpecimenTypeDesignationDTOs().size());
         reg = workingset.getOwner();
@@ -204,9 +207,9 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 
 //        printDataSetWithNull(System.err, includeTableNames_delete);
 
-        TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, 5001, null);
+        TypedEntityReference<FieldUnit> baseEntityRef = new TypedEntityReference<FieldUnit>(FieldUnit.class, fieldUnitUuid, null);
 
-        SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.loadDtoByIds(registrationId, baseEntityRef);
+        SpecimenTypeDesignationWorkingSetDTO<Registration> workingset = service.load(registrationUuid, baseEntityRef);
         Assert.assertNotNull(workingset.getOwner());
         Assert.assertEquals(2, workingset.getSpecimenTypeDesignationDTOs().size());
         service.delete(workingset, true);
@@ -241,19 +244,19 @@ public class SpecimenTypeDesignationWorkingSetServiceImplTest extends CdmVaadinI
 
         Team team = Team.NewTitledInstance("Novis, Braidwood & Kilroy", "Novis, Braidwood & Kilroy");
         Reference nomRef = ReferenceFactory.newArticle();
+        nomRef.setUuid(publicationUuid);
         nomRef = cdmRepository.getReferenceService().save(nomRef);
-        publicationId = nomRef.getId();
 
         nomRef.setAuthorship(team);
         nomRef.setTitle("P.M. Novis, J. Braidwood & C. Kilroy, Small diatoms (Bacillariophyta) in cultures from the Styx River, New Zealand, including descriptions of three new species in Phytotaxa 64");
         TaxonName name = TaxonName.NewInstance(NomenclaturalCode.ICNAFP, Rank.SPECIES(), "Planothidium", null,  "victori", null, null, nomRef, "11-45", null);
+        name.setUuid(typifiedNameUuid);
         name = cdmRepository.getNameService().save(name);
-        typifiedNameId = name.getId();
 
         Registration reg = Registration.NewInstance();
         reg.setName(name);
+        reg.setUuid(registrationUuid);
         reg = cdmRepository.getRegistrationService().save(reg);
-        registrationId = reg.getId();
 
 
         //printDataSetWithNull(System.err, includeTableNames_create);
diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/model/RegistrationWorkingSetTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/model/RegistrationWorkingSetTest.java
index ed3c33eb..4b498621 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/model/RegistrationWorkingSetTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/model/RegistrationWorkingSetTest.java
@@ -59,7 +59,7 @@ public class RegistrationWorkingSetTest {
         dtos.add(new RegistrationDTO(reg2));
 
         RegistrationWorkingSet ws = new RegistrationWorkingSet(dtos);
-        Assert.assertEquals(article.getId(), ws.getCitationId().intValue());
+        Assert.assertEquals(article.getUuid(), ws.getCitationUuid());
         Assert.assertEquals(2, ws.getRegistrations().size());
     }
 
@@ -96,7 +96,7 @@ public class RegistrationWorkingSetTest {
         dtos.add(new RegistrationDTO(reg2));
 
         RegistrationWorkingSet ws = new RegistrationWorkingSet(dtos);
-        Assert.assertEquals(article.getId(), ws.getCitationId().intValue());
+        Assert.assertEquals(article.getUuid(), ws.getCitationUuid());
         Assert.assertEquals(2, ws.getRegistrations().size());
     }
 
